@extends('admin.include.main')
@section('style')
    <style>
        label {
            display: block;
        }

    </style>
@endsection
@section('content')

    <!-- Button trigger modal -->



    @if ($status == 'all')
       
        <div class="modal fade " id="modelnew" tabindex="-1" role="dialog"
            aria-labelledby="normalmodal" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="normalmodal">New Slot
                            </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                            aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('admin.interview-slots.store') }}" method="POST">
                            @csrf
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="date">Date</label>
                                        <div class="input-group">
                                            <div class="input-group-text">
                                                <div class="">
                                                    <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="18"
                                                        viewBox="0 0 24 24" width="18">
                                                        <path d="M0 0h24v24H0V0z" fill="none" />
                                                        <path
                                                            d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 2v3H4V5h16zM4 21V10h16v11H4z" />
                                                        <path d="M4 5.01h16V8H4z" opacity=".3" />
                                                    </svg>
                                                </div>
                                            </div>
                                            <input value="{{ old('date') }}" name="date" id="date"
                                                class="form-control fc-datepicker @error('date') is-invalid @enderror" placeholder="YYYY-MM-DD" type="text">
                                            @error('date')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="tpBasic">Time</label>
                                        <div class="input-group">
                                            <div class="input-group-text">
                                                <div class="">
                                                    <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="18"
                                                        viewBox="0 0 24 24" width="18">
                                                        <path d="M0 0h24v24H0V0z" fill="none" />
                                                        <path
                                                            d="M12 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm4.25 12.15L11 13V7h1.5v5.25l4.5 2.67-.75 1.23z"
                                                            opacity=".3" />
                                                        <path
                                                            d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z" />
                                                    </svg>
                                                </div><!-- input-group-text -->
                                            </div><!-- input-group-text -->
                                            <input class="form-control @error('time') is-invalid @enderror" value="{{ old('time') }}" name="time" id="tpBasic"
                                                placeholder="Set time" type="text">
                                            @error('time')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12">
                                    <h5>Interviewers: </h5>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_primary_id">Primary</label>
                                        <select class="form-control select2-show-search @error('interviewer_primary_id') is-invalid @enderror" id="interviewer_primary_id"
                                            name="interviewer_primary_id" data-placeholder="Choose one Interviweer">
                                            <optgroup label="Tip Users">
                                                @foreach ($tip as $item)
                                                    <option value="{{ $item->id }}">{{ $item->get_name() }}</option>
                                                @endforeach
                                            </optgroup>
                                        </select>
                                        @error('interviewer_primary_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_secondary_id">Secondary</label>
                                        <select class="form-control select2-show-search @error('interviewer_secondary_id') is-invalid @enderror" id="interviewer_secondary_id"
                                            name="interviewer_secondary_id" data-placeholder="Choose one (with searchbox)">
                                            <optgroup label="Tip Users">
                                                @foreach ($tip as $item)
                                                    <option value="{{ $item->id }}">{{ $item->get_name() }}</option>
                                                @endforeach
                                            </optgroup>
                                        </select>
                                        @error('interviewer_secondary_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_tertiary_id">Tertiary</label>
                                        <select class="form-control select2-show-search @error('interviewer_tertiary_id') is-invalid @enderror" id="interviewer_tertiary_id"
                                            name="interviewer_tertiary_id" data-placeholder="Choose one (with searchbox)">
                                            <optgroup label="Tip Users">
                                                @foreach ($tip as $item)
                                                    <option value="{{ $item->id }}">{{ $item->get_name() }}</option>
                                                @endforeach
                                            </optgroup>
                                        </select>
                                        @error('interviewer_tertiary_id')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="zoom_link">Zoom Link</label>
                                        <input class="form-control @error('zoom_link') is-invalid @enderror" name="zoom_link" value="{{ old('zoom_link') }}"
                                            id="zoom_link" placeholder="Zoom Link" type="url">
                                        @error('zoom_link')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-12">
                                    <button type="submit" class="btn btn-primary float-end">Save</button>
                                </div>
        
                            </div>
                        </form>
                    </div>
                
                </div>
            </div>
        </div>
    @endif
    <div class="card mt-5">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">{{ $title }}</div>
                </div>
                @if ($status == 'all')
                    <div class="col-6">
                        <button data-bs-toggle="modal" data-bs-target="#modelnew"
                            class="btn btn-primary pull-right" href="#">Add New Interview Slot <i class="fa fa-plus"></i></button>
                    </div>
                @endif
            
            </div>

        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <div class="row">
                    <div class="col-6">
                        <a href="{{route('admin.interview.slots.index' , 'filter')}}"> 
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input" id="filter">
                                <label class="form-check-label" for="filter">
                                    Show All
                                </label>
                            </div>
                        </a>
                    </div>
                </div>
                <table id="example1" class="table card-table table-vcenter text-nowrap border p-0 mt-5">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Time</th>
                            <th>Interviewers</th>
                            @if ($status == 'all' && $status == 'rejected')
                                <th>Booked Status</th>
                            @endif

                            @if ($status == 'rejected')
                                <th>Reject Reason</th>
                            @endif
                            @if ($status == 'canceled')
                                <th>Cancel Reason</th>
                            @endif
                            @if ($status != 'rejected' && $status != 'canceled')
                                <th>Action</th>
                            @endif
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $i = 1;
                        @endphp
                        @foreach ($dat as $item)
                            <tr>
                                <td>{{ $item->date }}</td>
                                <td>{{ $item->time }}</td>
                                <td>{{ $item->primary->get_name() }} , {{ $item->secondry_interviewer->get_name() }} ,
                                    {{ $item->tertiary_interviewer->get_name() }}</td>
                                <td>

                                    @if ($item->interviewee != null)
                                        Booked By {{$item->interviewee->get_name()}}
                                    @else
                                        Not yet Selected
                                    @endif
                                </td>
                                @if ($status != 'all' && $status != 'rejected' )
                                    @if ($item->interviewee != null)
                                        <td>{{ $item->interviewee->get_name() }}</td>
                                    @endif
                                @endif

                                @if ($status == 'rejected' || $status == 'canceled')
                                    <td>{{ $item->cancel_reason }}</td>
                                @endif
                                @if ($status == 'all' || $status == 'filter')
                                    <td>
                                        {{-- delete --}}
                                        <!-- Button trigger modal -->
                                        {{-- <a type="button" class="btn btn-danger mt-3" data-bs-toggle="modal"
                                            data-bs-target="#modeldel{{ $item->id }}">
                                            <i class="fa fa-trash"></i>
                                        </a> --}}

                                        <!-- Modal -->
                                        <div class="modal fade" id="modeldel{{ $item->id }}" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Delete
                                                            {{ $item->name }}
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <form action="{{ route('admin.interview.slots.destroy', $item->id) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('DELETE')
                                                        <div class="modal-body">
                                                            Are You Really Want To Delete This?
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info"
                                                                data-bs-dismiss="modal">Close</button>
                                                            <button type="submit" class="btn btn-danger">Delete</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        {{-- end delete --}}


                                          
                                          <a class="btn btn-info" data-bs-toggle="modal"
                                          data-bs-target="#modelcan{{ $item->id }}"> @if($item->status == "C")Cancelled @else Cancel @endif </a>
                                      
                                       
                                        {{-- update --}}
                                        {{-- <a type="button" class="btn btn-success mt-3" data-bs-toggle="modal"
                                            data-bs-target="#modeledit{{ $item->id }}">
                                            <i class="fa fa-pencil"></i>
                                        </a> --}}

                                        <!-- Modal -->
                                        <div class="modal fade" id="modeledit{{ $item->id }}" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Edit
                                                            {{ $item->name }}
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <form
                                                        action="{{ route('admin.interview-slots.update', $item->id) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('PUT')
                                                        <div class="modal-body">

                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label for="date">Date</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-text">
                                                                                <div class="">
                                                                                    <svg class="svg-icon"
                                                                                        xmlns="http://www.w3.org/2000/svg"
                                                                                        height="18" viewBox="0 0 24 24"
                                                                                        width="18">
                                                                                        <path d="M0 0h24v24H0V0z"
                                                                                            fill="none" />
                                                                                        <path
                                                                                            d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 2v3H4V5h16zM4 21V10h16v11H4z" />
                                                                                        <path d="M4 5.01h16V8H4z"
                                                                                            opacity=".3" />
                                                                                    </svg>
                                                                                </div>
                                                                            </div>
                                                                            <input value="{{ $item->date }}" name="date"
                                                                                id="date" class="form-control fc-datepicker"
                                                                                placeholder="YYYY-MM-DD" type="text">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label for="tpBasic">Time</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-text">
                                                                                <div class="">
                                                                                    <svg class="svg-icon"
                                                                                        xmlns="http://www.w3.org/2000/svg"
                                                                                        height="18" viewBox="0 0 24 24"
                                                                                        width="18">
                                                                                        <path d="M0 0h24v24H0V0z"
                                                                                            fill="none" />
                                                                                        <path
                                                                                            d="M12 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm4.25 12.15L11 13V7h1.5v5.25l4.5 2.67-.75 1.23z"
                                                                                            opacity=".3" />
                                                                                        <path
                                                                                            d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z" />
                                                                                    </svg>
                                                                                </div><!-- input-group-text -->
                                                                            </div><!-- input-group-text -->
                                                                            <input class="form-control"
                                                                                value="{{ $item->time }}" name="time"
                                                                                id="tpBasic" placeholder="Set time"
                                                                                type="text">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label for="zoom_link">Zoom Link</label>
                                                                        <input class="form-control" name="zoom_link"
                                                                            value="{{ $item->zoom_link }}" id="zoom_link"
                                                                            placeholder="Zoom Link" type="url">
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label for="edit_interviewer_primary_id">Interviewer
                                                                            One</label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_primary_id"
                                                                            name="interviewer_primary_id"
                                                                            data-placeholder="Choose one Interviweer">
                                                                            <optgroup label="Tip Users">
                                                                                @foreach ($tip as $itemm)
                                                                                    <option @if ($item->interviewer_primary_id == $itemm->id) selected @endif
                                                                                        value="{{ $itemm->id }}">
                                                                                        {{ $itemm->get_name() }}</option>
                                                                                @endforeach
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label
                                                                            for="edit_interviewer_secondary_id">Interviewer
                                                                            Secondary
                                                                        </label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_secondary_id"
                                                                            name="interviewer_secondary_id"
                                                                            data-placeholder="Choose one (with searchbox)">
                                                                            <optgroup label="Tip Users">
                                                                                @foreach ($tip as $itemm)
                                                                                    <option @if ($item->interviewer_secondary_id == $itemm->id) selected @endif
                                                                                        value="{{ $itemm->id }}">
                                                                                        {{ $itemm->get_name() }}</option>
                                                                                @endforeach
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label
                                                                            for="edit_interviewer_tertiary_id">Interviewer
                                                                            Third</label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_tertiary_id"
                                                                            name="interviewer_tertiary_id"
                                                                            data-placeholder="Choose one (with searchbox)">
                                                                            <optgroup label="Tip Users">
                                                                                @foreach ($tip as $itemm)
                                                                                    <option @if ($item->interviewer_tertiary_id == $itemm->id) selected @endif
                                                                                        value="{{ $itemm->id }}">
                                                                                        {{ $itemm->get_name() }}</option>
                                                                                @endforeach
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <label for="description">Description</label>
                                                                    <textarea class="form-control"
                                                                        name="description">{{ $item->description }}</textarea>
                                                                </div>

                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">

                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <button type="submit"
                                                                        class="btn btn-primary float-end">Update</button>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        {{-- end update --}}

                                    </td>
                                @endif
                                @if ($status == 'requested')
                                    <td>

                                        <div class="dropdown">
                                            <button class="btn btn-secondary dropdown-toggle" type="button"
                                                id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                                Action
                                            </button>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                                <li><a data-bs-toggle="modal"
                                                        data-bs-target="#modelrej{{ $item->id }}">Reject</a></li>
                                                <li><a data-bs-toggle="modal" data-bs-target="#modelacc{{ $item->id }}"
                                                        class="dropdown-item" href="#">Accept</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                @endif
                                @if ($status == 'accepted')
                                    <td>

                                        <div class="dropdown">
                                            <button class="btn btn-secondary" type="button"
                                                 data-bs-toggle="modal"
                                                data-bs-target="#modelcan{{ $item->id }}">
                                                Cancel
                                            </button>
                                        </div>
                                    </td>
                                @endif

                                <div class="modal fade" id="modelcan{{ $item->id }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">
                                                    @if($item->status != "C")
                                                        Cancel
                                                    @else
                                                        Cancelled
                                                    @endif
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('admin.interview.slots.status', [$item->id, 'C']) }}"
                                                method="POST">
                                                @csrf
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                @if($item->status != "C")
                                                                    Are you sure you want to cancel it?
                                                                @endif
                                                                    <div class="row">
                                                                        <div class="col-md-12">
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-6">
                                                                                    <h6>Date</h6>
                                                                                    <p>{{ $item->date }}</p>
                                                                                </div>
                                                                                <div class="col-md-6">
                                                                                    <h6>Time</h6>
                                                                                    <p>{{ $item->time }}</p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-6">
                                                                                    <h6>Interviewee</h6>
                                                                                    <p>
                                                                                        @if ($item->interviewee != null)
                                                                                        {{$item->interviewee->get_name()}}
                                                                                        @else
                                                                                        Not yet Selected
                                                                                        @endif
                                                                                    </p>
                                                                                </div>
                                                                                <div class="col-md-6">
                                                                                    <h6>Zoom Link</h6>
                                                                                    <p>{{ $item->zoom_link }}</p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">

                                                                            <div class="row mt-2">
                                                                                <div class="col-md-12">
                                                                                    <h5>Interviwers:</h5>
                                                                                </div>
                                                                            </div>
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-4">
                                                                                    <h6>Primary</h6>
                                                                                    <p>{{ $item->primary->get_name() }}</p>
                                                                                </div>
                                                                                <div class="col-md-4">
                                                                                    <h6>Secondary</h6>
                                                                                    <p>{{ $item->secondry_interviewer->get_name() }}</p>
                                                                                </div>
                                                                                <div class="col-md-4">
                                                                                    <h6>Tertiary</h6>
                                                                                    <p>{{ $item->tertiary_interviewer->get_name() }}</p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">
                                                                        </div>
                                                                    </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    @if($item->status !="C") 
                                                    <button     type="submit" class="btn btn-danger">Cancel</button>
                                                    @endif 
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelrej{{ $item->id }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('admin.interview.slots.status', [$item->id, 'D']) }}"
                                                method="POST">
                                                @csrf
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <label for="reason">Reason For Rejection</label>
                                                                <input type="text" class="form-control"
                                                                    name="cancel_reason" id="reason"
                                                                    aria-describedby="helpId"
                                                                    placeholder=" Enter Resson For Rejection">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Reject</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelacc{{ $item->id }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('admin.interview.slots.status', [$item->id, 'A']) }}"
                                                method="POST">
                                                @csrf

                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <label for="reason">Are you sure sure you want to accept
                                                                    this?</label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-success">Accept</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </tr>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
@section('script')
    @if ($errors->any())
        <script>
            var myModal = new bootstrap.Modal(document.getElementById('modelnew'), {
                keyboard: false
            })
            myModal.show();
        </script>
    @enderror
@endsection
